regex_lib:
    remove-simple-tag: '(?s)(\n\s*<___REPLACEVALUE___>[\s\S]*?</___REPLACEVALUE___>)'
rules:

    removeSimpleTag_AnalyticsSettings:
        branches: 
        file_names:
            - 'Analytics.settings'
        regex_name: remove-simple-tag
        replace_values:
            - enablePowerInsights
            - enableSmartDataDiscovery
            - enableWaveTemplate
            - canSubscribeDashboardWidgets
        replace_with:

    removeSimpleTag_SecuritySettings:
        branches: 
        file_names:
            - 'Security.settings'
        regex_name: remove-simple-tag
        replace_values:
            - isTLSv12Required
            - isTLSv12RequiredCommunities
            - turnTLSv11Off
            - turnTLSv11OffSites
            - enableSetPasswordInApi
            - securityCentralKillSession
        replace_with:

    removeSimpleTag_EmailIntegrationSettings:
        branches: 
        file_names:
            - 'EmailIntegration.settings'
        regex_name: remove-simple-tag
        replace_values:
            - enableEmailIntegrationEnabled
        replace_with:

    removeSimpleTag_IndustriesSettings:
        branches: 
        file_names:
            - 'Industries.settings'
        regex_name: remove-simple-tag
        replace_values:
            - enableCalcserviceEnabled
            - enableIndLoyaltyEnabled
        replace_with:

    removeSimpleTag_LightningExperienceSettings:
        branches: 
        file_names:
            - 'LightningExperience.settings'
        regex_name: remove-simple-tag
        replace_values:
            - enableAuraDepAccessChksCRUCPref
        replace_with:

    removeSimpleTag_SiteSettings:
        branches: 
        file_names:
            - 'Site.settings'
        regex_name: remove-simple-tag
        replace_values:
            - enableWebruntimeBYOTemplate
        replace_with:                    
